Bug 189718 - gnome panel clock starts on wrong day
gnome panel clock starts on wrong day
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-23 17:32 EDT by Thomas J. Baker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.90-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 11:50:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2006-04-23 17:32:43 EDT
Description of problem:

gnome panel clock starts on wrong day (Monday instead of Sunday). I've reported
this to gnome bugzilla and was told that this is a problem with locale data. My
locale is as follows:


neuromancer> locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
neuromancer>


Version-Release number of selected component (if applicable):

tzdata-2006d-1.fc5

How reproducible:

After installing FC5, the panel clock was messed up. It is always wrong,
starting on Monday instead of Sunday. 



Steps to Reproduce:
1. have default us locale
2. log in
3. see calendar start on Monday instead of Sunday on panel clock
  
Actual results:


Expected results:


Additional info:

This didn't happen with FC4. I'm not sure if tzdata is the place for this or
not. Maybe it's glibc?
Comment 1 Leszek Matok 2006-04-27 11:29:47 EDT
I see exactly the opposite effect - with "pl_PL.UTF-8" locale first day of week
is Sunday, while officialy Poland has Monday as the first day of the week.

If that helps, Google shows:
http://gentoo-wiki.com/HOWTO_localedef#Why_is_the_Clock_Applet_still_not_right.3F
(this is straight to the section of our interest). If they are right, glibc is
the problem here.

Version-Release number of selected component (if applicable):
[lam@pensja ~]$ rpm -qf /usr/lib/locale/pl_PL.utf8
glibc-common-2.4-4
[lam@pensja ~]$ rpm -qf /usr/share/i18n/locales/pl_PL
glibc-common-2.4-4
Comment 2 Frank Arnold 2006-04-27 11:45:47 EDT
Both issues seem to be fixed upstream 2 weeks ago. For pl_PL the week keyword
was not defined at all, for en_US it was wrong.

en_US commit:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/en_US.diff?r1=1.11&r2=1.12&cvsroot=glibc

pl_PL commit:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/pl_PL.diff?r1=1.14&r2=1.15&cvsroot=glibc

Comment 3 Jakub Jelinek 2006-04-27 11:50:57 EDT
Yes, and in rawhide too.
Comment 4 Thomas J. Baker 2006-04-27 12:04:23 EDT
Does that mean there's going to be an update for FC5 soon? I can't just install
the rawhide version for a quick fix :-)
Comment 5 Jakub Jelinek 2006-04-27 12:09:31 EDT
It is not yet decided when exactly FC5 glibc updates will be done, but this
among many other bugfixes will be included then.

Note You need to log in before you can comment on or make changes to this bug.